Subject: bug#35574: bcm5974 touchpad is not recognized as touchpad

From: Bengt Richter <[email-masked]>
Date: Tue, 21 Apr 2020 00:26:07 +0200

Hi Fllorian,

On +2020-04-20 17:59:08 +0200, pelzflorian (Florian Pelz) wrote:
> On Mon, Apr 20, 2020 at 04:47:18PM +0200, pelzflorian (Florian Pelz) wrote:
> > However I also cannot find the reason why this usbmouse loadable
> > kernel module gets loaded at all.  How can I debug what loads this

Could the module be needed "just in case" in an initrd
but should be unloaded before pivoting in a normal case?

> > kernel module?  Debian does not show usbmouse in lsmod, and I think
> > usbmouse should not get loaded in Guix either.  usbmouse is not
> > required for my external USB mouse to work.
> 
> Debian 10’s /boot/config-4.19.0-6-amd64 has
> 
> # USB HID Boot Protocol drivers
> #
> # CONFIG_USB_KBD is not set
> # CONFIG_USB_MOUSE is not set
> 
> while Guix has in /tmp/guix-build-linux-libre-5.4.32.drv-0/linux-5.4.32/.config
> 
> CONFIG_USB_MOUSE=m
> 
> I will write and test a patch to disable the module in
> %default-extra-linux-options, like the description in linux-5.4.11
> source file drivers/hid/usbhid/Kconfig recommends:
> 
> config USB_MOUSE
>         tristate "USB HIDBP Mouse (simple Boot) support"
>         depends on USB && INPUT
>         ---help---
>           Say Y here only if you are absolutely sure that you don't want
>           to use the generic HID driver for your USB mouse and prefer
>           to use the mouse in its limited Boot Protocol mode instead.
> 
>           This is almost certainly not what you want.  This is mostly
>           useful for embedded applications or simple mice.
> 
>           To compile this driver as a module, choose M here: the
>           module will be called usbmouse.
> 
>           If even remotely unsure, say N.
> 
> Regards,
> Florian
> 
> 
> 
-- 
Regards,
Bengt Richter